Package de.willuhn.jameica.hbci.passports.ddv.rmi

# Enum Class Reader.Type

java.lang.Object
java.lang.Enum<Reader.Type>
de.willuhn.jameica.hbci.passports.ddv.rmi.Reader.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Reader.Type>`, `Constable`

Enclosing interface:
  `Reader`

public static enum Reader.Type extends Enum<Reader.Type>
Typ-Definition fuer die verschiedenen Arten von Karten.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DDV_CTAPI`
DDV-Karte via CTAPI.
`DDV_PCSC`
DDV-Karte via PCSC.
`RDH_PCSC`
RDH-Karte via PCSC.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeaderParam()`
Liefert den Namen fuer das Lookup der Parameter in HBCI4Java.
`String`
`getIdentifier()`
Liefert den Identifier des Passports in HBCI4Java.
`boolean`
`isCTAPI()`
Liefert true, wenn das ein CTAPI-Kartenleser ist.
`boolean`
`isPCSC()`
Liefert true, wenn das ein PCSC-Kartenleser ist.
`static Reader.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Reader.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DDV_CTAPI

public static final Reader.Type DDV_CTAPI
DDV-Karte via CTAPI.

### DDV_PCSC

public static final Reader.Type DDV_PCSC
DDV-Karte via PCSC.

### RDH_PCSC

public static final Reader.Type RDH_PCSC
RDH-Karte via PCSC.

## Method Details

### values

public static Reader.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Reader.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getIdentifier

public String getIdentifier()
Liefert den Identifier des Passports in HBCI4Java.

Returns:
  der Identifier des Passports in HBCI4Java.

### getHeaderParam

public String getHeaderParam()
Liefert den Namen fuer das Lookup der Parameter in HBCI4Java.

Returns:
  der Name fuer das Lookup der Parameter in HBCI4Java.

### isPCSC

public boolean isPCSC()
Liefert true, wenn das ein PCSC-Kartenleser ist.

Returns:
  true, wenn das ein PCSC-Kartenleser ist.

### isCTAPI

public boolean isCTAPI()
Liefert true, wenn das ein CTAPI-Kartenleser ist.

Returns:
  true, wenn das ein CTAPI-Kartenleser ist.